//[07:41:31] [Client thread/INFO]: [CHAT] {"server":"mini208R","gametype":"HOUSING","mode":"dynamic","map":"Base"}

https://playerdb.co/api/player/minecraft/illyum
https://playerdb.co/


[CHAT] ONLINE: angryhacks

### When to look up stats
- on private message / dm
- Party Invite
- Guild Invite
- Friend Invite
- When you invite someone to party
- When party leader/other member invites party
- When party joins (/stream open)
- Duel Request (that specific duel's stats)

### Trackers
- Tips?
- WDR Reports?

### Other Stuff To Add
If you screenshot a leaderboard, it will check the screenshots folder and try to detect if a screenshot has a leaderboard in it, then it will load the leaderboard in and check for those people's stats and display them off to the side (daily only since other lb are on api)



## Building:

#### Windows
```bash
set CGO_ENABLED=0
go build -ldflags="-s -w"
upx --best --lzma hudly.exe
```

#### Mac (intel x86_64)
```bash
set GOOS=darwin
set GOARCH=amd64
set CGO_ENABLED=0
go build -ldflags="-s -w"
upx --best --lzma --force-macos hudly
```
NOTE: macOS is currently not supported

#### Mac (apple silicon ARM)
```bash
set GOOS=darwin
set GOARCH=arm64
set CGO_ENABLED=0
go build -ldflags="-s -w"
upx --best --lzma --force-macos hudly
```
NOTE: macOS is currently not supported


# TODOS/Limitation
- (api_key) Incorrect structure (api headers don't exist if key is invalid) so you get the wrong error code
- (build) Requires google's UUID library (too big for my liking)
- (client) No keep-alive implemented
- (client) No room closure detection
- (client) You can't see and send data (sender needs to have 2 clients, 1 to host and 1 to read)
- (client/config) Hard coded ip address / port
- (config) No Config (hard code key)
- (demo) Only in-memory uuid cache
- (demo) Lunar Client ONLY (default log location only)
- (demo) Requires working key to function
- (demo) Windows client sender ONLY (not correct log path locator)
- (demo) does NOT show nicked players (doesn't crash)
- (gui) Just terminal for now
- (hypixel_api) No cache
- (player) Only bedwars stats
- (server) Terrible status messages
- (server/server-config) Hard coded port
- (uuid cache) no lifetime (probably isn't needed but still)